package com.xkrs.dao;

import com.xkrs.model.entity.GlobalConfigEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
public interface GlobalConfigDao extends JpaRepository<GlobalConfigEntity, Long>, JpaSpecificationExecutor<GlobalConfigEntity> {

    Optional<GlobalConfigEntity> findByCode(Long code);

}
