package com.xkrs.straw.utils;

import com.xkrs.straw.model.entity.FirePointOrdinaryEntity;
import com.xkrs.straw.model.entity.FirePointPreciseEntity;
import com.xkrs.straw.model.vo.AllFirePointVo;

/**
 * AllFirePointVo输出格式转化工具
 */
public class FirePointConvertUtils {

    private FirePointConvertUtils() {
    }

    public static AllFirePointVo convert(FirePointOrdinaryEntity entity) {
        AllFirePointVo allFirePointVo = new AllFirePointVo();
        allFirePointVo.setId(entity.getId());
        allFirePointVo.setFireCode(entity.getFireCode());
        allFirePointVo.setCountyCode(entity.getCountyCode());
        allFirePointVo.setCountyName(entity.getCountyName());
        allFirePointVo.setSatelliteTime(entity.getSatelliteTime());
        allFirePointVo.setLongitude(entity.getLongitude());
        allFirePointVo.setLatitude(entity.getLatitude());
        allFirePointVo.setSatelliteType(entity.getSatelliteType());
        allFirePointVo.setLandType(entity.getLandType());
        allFirePointVo.setConfidence(entity.getConfidence());
        allFirePointVo.setFireImage(entity.getFireImage());
        allFirePointVo.setSatelliteImage(entity.getSatelliteImage());
        allFirePointVo.setTownCode(entity.getTownCode());
        allFirePointVo.setTownName(entity.getTownName());
        allFirePointVo.setAddTime(entity.getAddTime());
        allFirePointVo.setFirePointAddress(entity.getFirePointAddress());
        allFirePointVo.setRemark(entity.getRemark());
        return allFirePointVo;
    }

    public static AllFirePointVo convert(FirePointPreciseEntity entity) {
        AllFirePointVo allFirePointVo = new AllFirePointVo();
        allFirePointVo.setId(entity.getId());
        allFirePointVo.setFireCode(entity.getFireCode());
        allFirePointVo.setCountyCode(entity.getCountyCode());
        allFirePointVo.setCountyName(entity.getCountyName());
        allFirePointVo.setSatelliteTime(entity.getSatelliteTime());
        allFirePointVo.setLongitude(entity.getLongitude());
        allFirePointVo.setLatitude(entity.getLatitude());
        allFirePointVo.setSatelliteType(entity.getSatelliteType());
        allFirePointVo.setLandType(entity.getLandType());
        allFirePointVo.setConfidence(entity.getConfidence());
        allFirePointVo.setFireImage(entity.getFireImage());
        allFirePointVo.setSatelliteImage(entity.getSatelliteImage());
        allFirePointVo.setTownCode(entity.getTownCode());
        allFirePointVo.setTownName(entity.getTownName());
        allFirePointVo.setAddTime(entity.getAddTime());
        allFirePointVo.setFirePointAddress(entity.getFirePointAddress());
        allFirePointVo.setRemark(entity.getRemark());
        return allFirePointVo;
    }

}
